				
*************************************************************************************


draw_all
		move.l	#92,d0
		move.l	#17,d1
		trap	#15
		bsr	Draw_background
		
		bsr	draw_planes
		
		bsr	draw_statistics
		
		bsr	draw_bullets
		
		move.l	#94,d0
		trap	#15
		
		rts
		
**************************************************************
draw_statistics	clr.l	d7
		move.w	n_score,d7
		bsr	display_score
		
		clr.l	d7
		move.b	n_lives,d7
		bsr	display_live
		
		clr.l	d7
		move.b	n_level,d7
		bsr	display_level
		rts


		
**************************************************************
draw_bullets	move.b	nbullets,d7
		lea	bullets,a1
			

		clr.l	d1	
	
for_bullets_draw	cmpi.b	#0,d7
		beq	end_for_bullets_draw
		clr.l	d0
		move.b	d7,d0
		subi.b	#1,d0
		mulu	#8,d0
		move.w	d0,d3
		
		move.l	#$000000ff,d1
		move.l	#80,d0
		trap	#15
		clr.l	d1
		move.w	d3,d0
		
		move.w	(a1,d0),d1
		move.w	2(a1,d0),d2
		move.w	4(a1,d0),d5
		move.w	6(a1,d0 ),d6
		
		
		
		cmpi.w	#1,d5
		beq	not_from_user
		cmpi.w	#-1,d5
		beq	not_from_user
		cmpi.w	#1,d6
		beq	not_from_user
		cmpi.w	#-1,d6
		beq	not_from_user

		move.l	#$00ffff00,d1
		move.l	#80,d0
		trap	#15
		clr.l	d1
		move.w	d3,d0
		
		move.w	(a1,d0),d1
		
not_from_user	move.w	d1,d3
		move.w	d2,d4
		add.w	d5,d1
		add.w	d6,d2
		neg.w	d5
		neg.w	d6
		add.w	d5,d3
		add.w	d6,d4
		
		MOVE.W	#84,D0
		TRAP	#15
	
		
		subi.l	#1,d7
		jmp	for_bullets_draw
end_for_bullets_draw

		rts



**************************************************************

draw_planes	move.b	players,d7
		lea	planes,a1
		
		MOVE.L		#$00FF0000,D1
			set_fillcolor
;		set_color
	
		move.l	#$004400FF,d1
		move.l	#80,d0
		trap	#15
		clr.l	d1	
		
	
for_planes_draww	cmpi.b	#0,d7
		beq	end_for_planes_draww
		clr.l	d0
		move.b	d7,d0
		subi.b	#1,d0
		mulu	#8,d0
		move.w	(a1,d0),d1
		move.w	2(a1,d0),d2
		move.w	4(a1,d0),d5
		move.w	6(a1,d0 ),d6
		

		

		* down o left o inasham check konim ... bad branch konim !
		cmpi.w	#1,d5
		bne	not_dir_right
		bsr	draww_ai_plane_right
not_dir_right	cmpi.w	#$ffff,d5
		bne	not_dir_left
		bsr	draww_ai_plane_left
not_dir_left	cmpi.w	#1,d6
		bne	not_dir_down
		bsr	draww_ai_plane_down
not_dir_down	cmpi.w	#$ffff,d6
		bne	not_dir_up
		bsr	draww_ai_plane_up
not_dir_up

		cmpi.w	#1,d7
		bne	not_user_plane
		bsr	draw_user_plane

	
;		move.l	#$000044FF,d1
;		move.l	#80,d0
;		trap	#15
;		clr.l	d1
;			
not_user_plane	subi.l	#1,d7
		jmp	for_planes_draww
end_for_planes_draww

		rts
**************************************************************		


draw_user_plane	MOVEM.L  D0-D7,-(SP)


		move.w	d1,d5
		move.l	#$00ffffff,d1
		move.l	#80,d0
		trap	#15
		clr.l	d1
		
		move.w	d5,d1
		
		MOVE.W	D1,D3
		MOVE.W	D2,D4
		SUBI.W	#4,D1
		SUBI.W	#4,D2
		ADDI.W	#4,D3
		ADDI.W	#4,D4
		MOVE.W	#88,D0
		TRAP	#15
		
		move.l	#$004400FF,d1
		move.l	#80,d0
		trap	#15
		clr.l	d1

		MOVEM.L	(SP)+,D0-D7
		RTS
	
draw_circle:
		MOVEM.L  D0-D7,-(SP)
		MOVE.W 	D1,D5
		*MOVE.L	#$00FFFFFF,D1
		MOVE.L	#$00000000,D1
		MOVE.W	#80,D0
		TRAP	#15
		MOVE.W	#81,D0
		TRAP	#15
		MOVE.W	D5,D1
		EXT.L	D1	
		MOVE.W	D1,D3
		MOVE.W  D2,D4
		SUBI.W	#8,D1
		SUBI.W	#8,D2
		ADDI.W	#8,D3
		ADDI.W	#8,D4
		MOVE.W	#88,D0
		TRAP	#15
		MOVEM.L	(SP)+,D0-D7
		RTS	
**************************************************************
*
***DIRECTION = DOWN
*
**************************************************************		
		
draww_ai_plane_down
		MOVEM.L  D0-D7,-(SP)
		MOVE.W	D1,D6
		MOVE.W	D2,D7
			
		MOVE.W	D1,D3
		MOVE.W  D2,D4
		SUBI.W	#4,D1
		SUBI.W	#4,D2
		ADDI.W	#4,D3
		ADDI.W	#4,D4
		MOVE.W	#88,D0
		TRAP	#15
		
		
		;x-4=d1	y-4=d2
		SUBI.W	#3,D1
		;x-7=d1	y-4=d2		
		MOVE.W	D6,D3
		MOVE.W	D7,D4
		MOVE.W	#84,D0
		TRAP	#15
		
		ADDI.W	#14,D1
		TRAP	#15
		
		ADDI.W	#8,D4
		TRAP	#15
		
		SUBI.W	#14,D1
		TRAP	#15
		
		ADDI.W	#7,D3
		SUBI.W	#12,D4
		;TRAP	#15
		
		**************
		SUBI.W	#4,D4
		ADDI.W	#4,D3
		ADDI.W	#3,D1
		move.w	#88,d0
		;trap	#15
		
		MOVEM.L	(SP)+,D0-D7
		RTS
				

**************************************************************


*** DIRECTION = RIGHT


**************************************************************		
		
draww_ai_plane_right
		MOVEM.L  D0-D7,-(SP)
		MOVE.W	D1,D6
		MOVE.W	D2,D7
			
		* BLUE CIRCLE	
		MOVE.W	D1,D3
		MOVE.W  D2,D4
		SUBI.W	#4,D1
		SUBI.W	#4,D2
		ADDI.W	#4,D3
		ADDI.W	#4,D4
		MOVE.W	#88,D0
		TRAP	#15
		
		*DRAW : *
		*	 *
		*	  *
		;x-4=d1	y-4=d2
		SUBI.W	#3,D2
		;x-4=d1	y-7=d2		
		MOVE.W	D6,D3
		MOVE.W	D7,D4
		MOVE.W	#84,D0
		TRAP	#15
		
		*DRAW:  *
		*	   *
		*	      *
		ADDI.W	#8,D3
		TRAP	#15
		
		*DRAW:        *
		*	   *
		*	*
		
		ADDI.W	#14,D2
		TRAP	#15
		
		
		*DRAW:   *
		*	*
		*      *
		SUBI.W	#8,D3
		TRAP	#15
		
		;ADDI.W	#7,D3
		;SUBI.W	#12,D4
		;TRAP	#15
		
		**************
		SUBI.W	#4,D4
		ADDI.W	#4,D3
		ADDI.W	#3,D1
		move.w	#88,d0
		;trap	#15
		
		MOVEM.L	(SP)+,D0-D7
		RTS
				

**************************************************************


**************************************************************


*** DIRECTION = LEFT


**************************************************************		
		
draww_ai_plane_left
		MOVEM.L  D0-D7,-(SP)
		MOVE.W	D1,D6
		MOVE.W	D2,D7
			
		* BLUE CIRCLE	
		MOVE.W	D1,D3
		MOVE.W  D2,D4
		SUBI.W	#4,D1
		SUBI.W	#4,D2
		ADDI.W	#4,D3
		ADDI.W	#4,D4
		MOVE.W	#88,D0
		TRAP	#15

		*DRAW:   *
		*	*
		*      *
		
		MOVE.W  D6,D1
		MOVE.W  D7,D2
		MOVE.W  D6,D3
		MOVE.W  D7,D4
		ADDI.W  #4,D3
		SUBI.W  #7,D4
		MOVE.W	#84,D0
		TRAP	#15		 
		

		*DRAW:        *
		*	   *
		*	*
	
		SUBI.W	#8,D1
		MOVE.W	#84,D0
		TRAP	#15
	
		
		*DRAW:  *
		*	   *
		*	      *		

		ADDI.W	#14,D4
		MOVE.W	#84,D0
		TRAP	#15	

		*DRAW : *
		*	 *
		*	  *
		
		ADDI.W	#8,D1
		MOVE.W	#84,D0
		TRAP	#15	

		MOVEM.L	(SP)+,D0-D7
		RTS	
**************************************************************



**************************************************************


*** DIRECTION = UP


**************************************************************		
		
draww_ai_plane_up
		MOVEM.L  D0-D7,-(SP)
		MOVE.W	D1,D6
		MOVE.W	D2,D7
			
		* BLUE CIRCLE	
		MOVE.W	D1,D3
		MOVE.W  D2,D4
		SUBI.W	#4,D1
		SUBI.W	#4,D2
		ADDI.W	#4,D3
		ADDI.W	#4,D4
		MOVE.W	#88,D0
		TRAP	#15

		*DRAW:   *
		*	*
		*      *
		
		MOVE.W  D6,D1
		MOVE.W  D7,D2
		MOVE.W  D6,D3
		MOVE.W  D7,D4
		ADDI.W  #4,D4
		SUBI.W  #7,D3
		MOVE.W	#84,D0
		TRAP	#15		 
		

		*DRAW:        *
		*	   *
		*	*
	
		SUBI.W	#8,D2
		MOVE.W	#84,D0
		TRAP	#15
	
		
		*DRAW:  *
		*	   *
		*	      *		

		ADDI.W	#14,D3
		MOVE.W	#84,D0
		TRAP	#15	

		*DRAW : *
		*	 *
		*	  *
		
		ADDI.W	#8,D2
		MOVE.W	#84,D0
		TRAP	#15	
		MOVEM.L	(SP)+,D0-D7
	
		RTS	
**************************************************************





















*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~8~
