				
*************************************************************************************

check_collisions
		bsr	check_player_coll
		;bsr	check_crash
		bsr	check_bullets_coll
		rts
*************************************************************************************

		
check_player_coll	lea	planes,a0
		clr.l	d2
		clr.l	d3
		move.w	(a0),d2
		move.w	2(a0),d3
		
		cmpi.w	#18,d2
		blt	player_coll
		
		cmpi.w	#16,d3
		blt	player_coll

		cmpi.w	#518,d2
		bgt	player_coll

		cmpi.w	#516,d3
		bgt	player_coll

		
		subi.w	#18,d2
		subi.w	#16,d3
		divs	#50,d2
		divs	#50,d3
		move.w	#0,d2
		move.w	#0,d3
		swap	d2
		swap	d3
		
		cmpi.w	#0,d2
		beq	player_not_coll
		cmpi.w	#0,d3
		beq	player_not_coll
		
player_coll	move.b	#1,player_died
		move.w	(a0),d1
		move.w	2(a0),d2
		bsr	explosion_direction_left
		
player_not_coll	
		rts

*************************************************************************************

check_bullets_coll	lea		bullets,a0
		lea		planes,a1
		
		clr.l	d1	
		clr.l	d7
		move.b	nbullets,d7
	
for_bullets_coll	cmpi.b	#0,d7
		beq	end_for_bullets_coll
		clr.l	d1
		move.b	d7,d1
		subi.b	#1,d1
		mulu	#8,d1
		move.w	(a0,d1),d2
		move.w	2(a0,d1),d3
		
		bsr	check_planes_coll_with
		
		cmpi.b	#1,d0
		beq	rem_bullet_for

		cmpi.w	#18,d2
		blt	rem_bullet_for
		
		cmpi.w	#16,d3
		blt	rem_bullet_for

		cmpi.w	#518,d2
		bgt	rem_bullet_for

		cmpi.w	#516,d3
		bgt	rem_bullet_for
		
		subi.l	#1,d7
		jmp	for_bullets_coll
		
rem_bullet_for	move.w	4(a0,d1),d2
		move.w	6(a0,d1),d3
		add.w	d2,d3
		cmpi.w	#1,d3
		beq	ai_wins
		cmpi.w	#$ffff,d3
		beq	ai_wins
		
		mulu	#100,d0
		add.w	d0,n_score
		
ai_wins		clr.l	d0
		move.b	nbullets,d0
		bsr	rem_entity
		subi.b	#1,nbullets
		subi.l	#1,d7
		jmp	for_bullets_coll

end_for_bullets_coll

		rts
		
*************************************************************************************

check_planes_coll_with	MOVEM.L	D1-D7,-(SP)
			movea	a0,a1
			
			clr.l	d6
			lea	planes,a0

			clr.l	d1	
			clr.l	d7
			move.b	players,d7
	
for_planes_coll_with	cmpi.b	#0,d7
			beq	end_for_planes_coll_with
			clr.l	d1
			move.b	d7,d1
			subi.b	#1,d1
			mulu	#8,d1
			move.w	(a0,d1),d4
			move.w	2(a0,d1),d5
			
			bsr	check_pair_coll
			cmpi.b	#0,d0
			beq	no_death
			
			cmpi.b	#0,d1
			bne	good_so_far
			

			cmpi.b	#1,player_died
			beq	no_death
			
			move.b	#1,player_died
			move.w	d4,d1
			move.w	d5,d2
			bsr	explosion_direction_left
			bra	no_death
			
good_so_far		clr.l	d0
			move.b	players,d0
			bsr	rem_entity
			subi.b	#1,players
			addi.b	#1,d6	


		
no_death		subi.l	#1,d7
			jmp	for_planes_coll_with
			
end_for_planes_coll_with	move.b	d6,d0
			movea	a1,a0
			MOVEM.L	(SP)+,D1-D7
			rts


*************************************************************************************


rem_entity	MOVEM.L	D0-D7,-(SP)
		subi.w	#1,d0
		mulu	#8,d0
		move.w	(a0,d0),d2
		move.w	d2,(a0,d1)
		
		move.w	2(a0,d0),d2
		move.w	d2,2(a0,d1)
		
		move.w	4(a0,d0),d2
		move.w	d2,4(a0,d1)

		move.w	6(a0,d0),d2
		move.w	d2,6(a0,d1)
		
		MOVEM.L	(SP)+,D0-D7
		rts

		


*************************************************************************************



check_pair_coll		MOVEM.L	D1-D7,-(SP)
			clr.l	d0
			sub.w	d2,d4
			sub.w	d3,d5
			
			cmpi.w	#0,d4
			bgt	np_on_d4
			neg.w	d4
			
np_on_d4			cmpi.w	#0,d5
			bgt	np_on_d5
			neg.w	d5
np_on_d5
			cmpi.w	#5,d4
			bgt	no_coll
			cmpi.w	#5,d5
			bgt	no_coll
			move.w	#1,d0
				
no_coll			MOVEM.L	(SP)+,D1-D7
			rts












*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~8~
